---
- hosts: localhost
  tasks:
    - name: Start VM
      # async: 10000
      # poll: 0
      shell:
        cmd: "qemu-system-x86_64 \
            -enable-kvm -boot order=d \
            -drive file={{userdata}}/drive1,if=virtio,id=a,media=disk,format=qcow2 \
            -drive file={{userdata}}/drive2,if=virtio,id=b,media=disk,format=qcow2 \
            -drive file={{userdata}}/drive3,if=virtio,id=c,media=disk,format=qcow2 \
            -drive file={{userdata}}/drive4,if=virtio,id=d,media=disk,format=qcow2 \
            -drive file={{userdata}}/drive5,if=virtio,id=e,media=disk,format=qcow2 \
            -drive file={{userdata}}/drive6,if=virtio,id=f,media=disk,format=qcow2 \
            -drive file={{userdata}}/seed.iso,if=virtio,format=raw \
            -bios {{ovmf}} \
            -m {{vm_ram}} \
            -net user,hostfwd=tcp::{{vm_ssh_port}}-:22 \
            -net nic"
